---

# SWIFT used parameter file
# code version: 2025.10
# git revision: v2025.10-67-gad825021
# git branch: (HEAD detached at ad825021f)
# git date: 2026-01-29 16:59:12 +0100
# current date: 18:22:24 2026-01-29 GMT

InternalUnitSystem:
  UnitMass_in_cgs: 1.988409870698051e+43
  UnitLength_in_cgs: 3.0856775814913673e+21
  UnitVelocity_in_cgs: 1e5
  UnitCurrent_in_cgs: 1
  UnitTemp_in_cgs: 1

Gravity:
  MAC: adaptive
  epsilon_fmm: 0.001
  theta_cr: 0.7
  eta: 0.025
  max_physical_baryon_softening: 0.0005
  mesh_side_length: 32
  rebuild_frequency: 0.01
  rebuild_active_fraction: 1.01
  distributed_mesh: 0
  mesh_uses_local_patches: 1
  a_smooth: 1.25
  r_cut_max: 4.5
  r_cut_min: 0
  allow_truncation_in_MAC: 0
  use_tree_below_softening: 0
  max_adaptive_softening: 1.13427e+38
  min_adaptive_softening: 0

TimeIntegration:
  time_begin: 0.
  time_end: 12e-3
  dt_min: 1e-10
  dt_max: 1e-3
  max_nr_rt_subcycles: 0
  max_dt_RMS_factor: 0.25
  dt_RMS_use_gas_only: 0

Snapshots:
  subdir: snap
  basename: snapshot
  time_first: 0.
  delta_time: 1e-3
  select_output_on: 0
  scale_factor_first: 0.1
  subsample:  [0, 0, 0, 0, 0, 0, 0]
  subsample_fraction:  [0, 0, 0, 0, 0, 0, 0]
  run_on_dump: 0
  compression: 0
  distributed: 0
  lustre_OST_checks: 0
  lustre_OST_free: 0
  lustre_OST_test: 0
  invoke_stf: 0
  invoke_fof: 0
  invoke_ps: 0
  use_delta_from_edge: 0
  UnitMass_in_cgs: 1.98841e+43
  UnitLength_in_cgs: 3.08568e+21
  UnitVelocity_in_cgs: 100000
  UnitCurrent_in_cgs: 1
  UnitTemp_in_cgs: 1
  output_list_on: 0

Scheduler:
  cell_extra_gparts: 10000
  cell_extra_sinks: 10000
  cell_extra_sparts: 10000
  max_top_level_cells: 3
  cell_max_size: 8000000
  cell_sub_size_pair_hydro: 256000000
  cell_sub_size_self_hydro: 32000
  cell_sub_size_pair_stars: 256000000
  cell_sub_size_self_stars: 32000
  cell_sub_size_pair_grav: 256000000
  cell_sub_size_self_grav: 32000
  cell_split_size: 400
  grid_split_threshold: 400
  cell_subdepth_diff_grav: 4
  cell_recurse_size_self_hydro: 100
  cell_recurse_size_pair_hydro: 100
  cell_recurse_size_self_stars: 100
  cell_recurse_size_pair_stars: 100
  cell_recurse_size_self_black_holes: 100
  cell_recurse_size_pair_black_holes: 100
  cell_recurse_size_self_sinks: 100
  cell_recurse_size_pair_sinks: 100
  cell_extra_parts: 0
  cell_extra_bparts: 0
  engine_max_parts_per_ghost: 1000
  engine_max_sparts_per_ghost: 1000
  engine_max_parts_per_cooling: 10000
  engine_redist_alloc_margin: 1.2
  engine_foreign_alloc_margin: 1.05
  free_foreign_during_restart: 0
  free_foreign_during_rebuild: 0
  nr_queues: 4
  dependency_graph_frequency: 0
  dependency_graph_cell: 0
  task_level_output_frequency: 0
  tasks_per_cell: 0
  links_per_tasks: 25
  mpi_message_limit: 4

Statistics:
  delta_time: 1e-2
  time_first: 0.
  scale_factor_first: 0.1
  energy_file_name: statistics
  timestep_file_name: timesteps
  output_list_on: 0

InitialConditions:
  file_name: test_sink.hdf5
  periodic: 1
  shift: [10.0,10.0,10.0]
  replicate: 1
  cleanup_smoothing_lengths: 0
  cleanup_h_factors: 0
  cleanup_velocity_factors: 0
  generate_gas_in_ics: 0
  remap_ids: 0
  metadata_group_name: ICs_parameters
  smoothing_length_scaling: 1
  stars_smoothing_length: -1
  black_holes_smoothing_length: -1

SPH:
  resolution_eta: 1.2348
  CFL_condition: 0.1
  h_max: 5
  minimal_temperature: 1
  h_tolerance: 0.0001
  h_min_ratio: 0
  max_ghost_iterations: 30
  use_mass_weighted_num_ngb: 0
  max_volume_change: 1.4
  initial_temperature: 0
  H_ionization_temperature: 10000
  H_mass_fraction: 0.752
  viscosity_alpha: 0.1
  viscosity_alpha_max: 2
  viscosity_alpha_min: 0
  viscosity_length: 0.05
  diffusion_alpha: 0
  diffusion_beta: 1
  diffusion_alpha_max: 1
  diffusion_alpha_min: 0
  particle_splitting: 0

GrackleCooling:
  cloudy_table: CloudyData_UVB=HM2012.h5
  with_UV_background: 0
  redshift: -1
  with_metal_cooling: 0
  self_shielding_method: -1
  self_shielding_threshold_atom_per_cm3: 0.007
  max_steps: 1000
  convergence_limit: 1e-2
  thermal_time_myr: 5
  maximal_density_Hpcm3: -1
  primordial_chemistry: 0
  H2_three_body_rate: 0
  H2_cie_cooling: 0
  H2_on_dust: 0
  local_dust_to_gas_ratio: -1
  cmb_temperature_floor: 1
  use_radiative_transfer: 0
  RT_heating_rate_cgs: 0
  RT_HI_ionization_rate_cgs: 0
  RT_HeI_ionization_rate_cgs: 0
  RT_HeII_ionization_rate_cgs: 0
  RT_H2_dissociation_rate_cgs: 0
  volumetric_heating_rates_cgs: 0
  specific_heating_rates_cgs: 0
  HydrogenFractionByMass: 0.76
  initial_nHII_to_nH_ratio: -1
  initial_nHeI_to_nH_ratio: -1
  initial_nHeII_to_nH_ratio: -1
  initial_nHeIII_to_nH_ratio: -1
  initial_nDI_to_nH_ratio: -1
  initial_nDII_to_nH_ratio: -1
  initial_nHM_to_nH_ratio: -1
  initial_nH2I_to_nH_ratio: -1
  initial_nH2II_to_nH_ratio: -1
  initial_nHDI_to_nH_ratio: -1

GEARChemistry:
  initial_metallicity: -5
  scale_initial_metallicity: 0

GEARFeedback:
  supernovae_energy_erg: 1e51
  supernovae_efficiency: 0.1
  yields_table: POPIIsw.h5
  yields_table_first_stars: POPIIsw.h5
  discrete_yields: 1
  imf_transition_metallicity: -5
  elements: [Fe, Mg, O, C, Al, Ca, Ba, Zn, Eu]
  discrete_star_minimal_gravity_mass_Msun: 0.1

GEARSink:
  use_fixed_cut_off_radius: 1
  cut_off_radius: 1e-2
  f_acc: 0.2
  temperature_threshold_K: 3e4
  density_threshold_Hpcm3: 1e0
  maximal_density_threshold_Hpcm3: 1e10
  stellar_particle_mass_Msun: 21
  minimal_discrete_mass_Msun: 8
  stellar_particle_mass_first_stars_Msun: 20
  minimal_discrete_mass_first_stars_Msun: 8
  star_spawning_sigma_factor: 0.1
  sink_formation_contracting_gas_criterion: 0
  sink_formation_smoothing_length_criterion: 0
  sink_formation_jeans_instability_criterion: 0
  sink_formation_bound_state_criterion: 0
  sink_formation_overlapping_sink_criterion: 0
  disable_sink_formation: 0
  CFL_condition: 0.5
  n_IMF: 3.40282e+38
  sink_minimal_mass_Msun: 0
  max_timestep_young_Myr: 3.40282e+38
  max_timestep_old_Myr: 3.40282e+38
  timestep_age_threshold_Myr: 3.40282e+38
  timestep_age_threshold_unlimited_Myr: 3.40282e+38
  tolerance_SF_timestep: 0.5

Restarts:
  subdir: restart
  basename: swift
  stop_steps: 100
  max_run_time: 3.40282e+38
  resubmit_on_exit: 0
  enable: 1
  save: 1
  onexit: 0
  lustre_OST_checks: 0
  lustre_OST_free: 0
  lustre_OST_test: 0
  delta_hours: 5

PhysicalConstants:
  G: 43009.2
  mu_0: 1.95009e-33

Stars:
  resolution_eta: 1.2348
  h_tolerance: 0.0001
  max_ghost_iterations: 30
  max_volume_change: -1
  max_timestep_young_Myr: 3.40282e+38
  max_timestep_old_Myr: 3.40282e+38
  timestep_age_threshold_Myr: 3.40282e+38
  timestep_age_threshold_unlimited_Myr: 0
  overwrite_birth_time: 0

GEARSupernovaeII:
  interpolation_size: 200

Sinks:
  resolution_eta: 1.2348
  h_tolerance: 0.0001
  max_ghost_iterations: 30
  max_volume_change: -1

Neutrino:
  use_delta_f: 0
  use_delta_f_mesh_only: 0
  use_model_none: 0
  generate_ics: 0
  neutrino_seed: 0
  use_linear_response: 0

ForceChecks:
  exact_gravity_check_types:  [1, 1, 1, 1, 1, 1, 1]

FOF:
  dump_catalogue_when_seeding: 0

MetaData:
  run_name: Untitled SWIFT simulation
...
